<?php
/**
 * Plugin plxMyMailCommentAdhesionSel
 *
 **/
class plxMyMailCommentAdhesionSel extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut utilisée par PluXml
	 * @return	null
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# droits pour acc�der � la page config.php et admin.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);
		$this->setAdminProfil(PROFIL_ADMIN);

		# ajout du hook
		$this->addHook('plxMotorDemarrageNewCommentaireadhesionSel', 'plxMotorDemarrageNewCommentaireadhesionSel');

	}

	/**
	 * Méthode qui envoie un mail à l'auteur de l'article
	 *
	 * @return	stdio
	 * @author	Stéphane F, Deevad, petitchevalroux, sudwebdesign
	 **/
	public function plxMotorDemarrageNewCommentaireadhesionSel() {

		$string = '
		if($retour[0]=="c" OR $retour=="mod") {
			$fTime = time();# fix : time is needed in admin plx >= 5.4
#			$article_author = $this->plxRecord_arts->f("author");#001
#			$article_author_email = $this->aUsers[$article_author]["email"];#classique

			$adh = str_replace("arts","",$getSel[0]);
			if($page != "arts"){
				$adh = explode("-",$getSel[0]);
				$adh = end($adh);
			}
			$adh = str_pad( $adh, 5, "0", STR_PAD_LEFT);
#			$page .= "-of";//arts of title #0007
			$adherent = $this->plxPlugins->aPlugins["adhesion"]->plxRecord_adherents->result[ $this->plxPlugins->aPlugins["adhesion"]->adherentsList[ $adh ] ];
#			$bonux = "".$adherent["prenom"] . " " . $adherent["nom"][0] . ".";//arts of title #0007
			$article_author_email = $adherent["mail"];#adherent
#			var_dump($article_author_email,$adherent["mail"],$adherent,$adh,$this->plxRecord_arts->f("author"));
			unset($adherent,$adh);

			$from = "'.$this->getParam('from').'";
			$to = "'.$this->getParam('to').'";
			$cc = "'.$this->getParam('cc').'";
			$bcc = "'.$this->getParam('bcc').'";
			$eSubject = "'.$this->getLang("L_EMAIL_NEW_COMMENT").' ".$this->plxRecord_arts->f("title");
			$eBody  = "'.$this->getLang("L_EMAIL_NEW_COMMENT_BY").' <strong>".plxUtils::unSlash($_POST["name"])."</strong><br /><br />";
			$eBody .= plxUtils::unSlash($_POST["content"])."<br /><br />";
			$eBody .= "-----------<br />";
			if($retour[0]=="c") {
				$eBody .= "'.$this->getLang("L_EMAIL_READ_ONLINE").' : <a href=\"".$url."/#".$retour."\">".$this->plxRecord_arts->f("title")."</a>";
#				$eBody .= "<a href=\"".$this->urlRewrite("?my-com-new.html")."&amp;c=".$this->plxRecord_arts->f("numero").".".substr($retour,1)."\">'.$this->getLang("L_EMAIL_DIRECT_ANSWER").'</a>";
				$eBody .= "<br /><a href=\"".$this->urlRewrite("?my-coms.html")."\">'.$this->getLang("L_EMAIL_MANAGE_COMMENTS").'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;";
				#fix : add .time ::: is needed in admin plx >= 5.4 (maybe error is possible)
				$fRetour = str_replace("-",".".$fTime."-", $retour);
				$eBody .= "<a href=\"".$this->urlRewrite("?my-com-new.html")."&amp;c=".substr($fRetour,1)."\">'.$this->getLang("L_EMAIL_DIRECT_ANSWER").'</a>";
			} else {
				$eBody .= "'.$this->getLang("L_EMAIL_WAITING_MODERATION").'<br />";
				$eBody .= "<a href=\"".$this->urlRewrite("?my-coms.html")."&amp;sel=offline&page=1\">'.$this->getLang("L_EMAIL_MANAGE_COMMENTS").'</a>&nbsp;&nbsp;&nbsp;";
			}
			# envoi d\'un mél à/aux admin
			if(!empty($to)){
				plxUtils::sendMail($this->aConf["title"], $from, $to, $eSubject, $eBody, "html", $cc, $bcc);
			}
			# envoi d\'un mél à l\'auteur de l\'article
			$author_email = "'.$this->getParam('author_email').'";
			if($article_author_email!="" AND $author_email=="1") {
				plxUtils::sendMail($this->aConf["title"], $from, $article_author_email, $eSubject, $eBody, "html");
			}
		}
		';
		echo '<?php '.$string.' ?>';
	}

}
?>